# H501_UserInformation Class Reference

`#include <h501.h>`

Inheritance diagram for H501_UserInformation:

List of all members.

## Public Types

enum | OptionalFields { e_userAuthenticator }

## Public Member Functions

| H501_UserInformation (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_AliasAddress | m_userIdentifier
H501_ArrayOf_CryptoH323Token | m_userAuthenticator

## Member Enumeration Documentation

enum H501_UserInformation::OptionalFields

Enumerator:

  e_userAuthenticator |

## Constructor & Destructor Documentation

H501_UserInformation::H501_UserInformation | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_UserInformation::GetDataLength | ( |  | ) | const

PBoolean H501_UserInformation::Decode | ( | PASN_Stream & | strm | ) |

void H501_UserInformation::Encode | ( | PASN_Stream & | strm | ) | const

void H501_UserInformation::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_UserInformation::Compare | ( | const PObject & | obj | ) | const

PObject* H501_UserInformation::Clone | ( |  | ) | const

## Member Data Documentation

H225_AliasAddress H501_UserInformation::m_userIdentifier

H501_ArrayOf_CryptoH323Token H501_UserInformation::m_userAuthenticator

The documentation for this class was generated from the following file:

- h501.h